[med-svn] [Git][med-team/genometester][master] Add autopkgtest. Move manpages to d/man/

Liubov Chuprikova gitlab at salsa.debian.org
Tue Jun 5 22:29:56 BST 2018


Liubov Chuprikova pushed to branch master at Debian Med / genometester


Commits:
a304a40c by Liubov Chuprikova at 2018-06-05T23:29:30+02:00
Add autopkgtest. Move manpages to d/man/

- - - - -


15 changed files:

- + debian/README.test
- debian/changelog
- debian/copyright
- debian/docs
- debian/glistcompare.1 → debian/man/glistcompare.1
- debian/glistmaker.1 → debian/man/glistmaker.1
- debian/glistquery.1 → debian/man/glistquery.1
- debian/gmer_caller.1 → debian/man/gmer_caller.1
- debian/gmer_counter.1 → debian/man/gmer_counter.1
- debian/manpages
- + debian/source/include-binaries
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/tests/test-data/Ccr.fa.gz
- + debian/tests/test-data/Mg.fa.gz


Changes:

=====================================
debian/README.test
=====================================
--- /dev/null
+++ b/debian/README.test
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+________________________________________
+
+This package can be tested by execution
+
+	sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,7 @@
 genometester (4.0-1) UNRELEASED; urgency=medium
 
   * Initial release (Closes: #900752)
+  * Add manpages
+  * Add autopkgtest
 
  -- Liubov Chuprikova <chuprikovalv at gmail.com>  Mon, 04 Jun 2018 16:33:48 +0200


=====================================
debian/copyright
=====================================
--- a/debian/copyright
+++ b/debian/copyright
@@ -11,6 +11,20 @@ Files: debian/*
 Copyright: 2018 Andreas Tille <tille at debian.org>
 License: GPL-3+
 
+Files: debian/tests/test-data/*
+Copyright: 2018 EMBL-EBI
+License: unrestricted
+ EMBL-EBI itself places no additional restrictions on the use or redistribution
+ of the data available via its online services other than those provided by the
+ original data owners.
+Comment: Ensembl Bacteria release 39
+ See http://bacteria.ensembl.org/Candidatus_carsonella_ruddii_dc/Info/Index
+     http://bacteria.ensembl.org/Mycoplasma_genitalium_g37/Info/Index
+ .
+ To download the files use:
+    wget ftp://ftp.ensemblgenomes.org/pub/bacteria/release-39/fasta/bacteria_40_collection/candidatus_carsonella_ruddii_dc/dna/Candidatus_carsonella_ruddii_dc.ASM44157v1.dna.chromosome.Chromosome.fa.gz
+    wget ftp://ftp.ensemblgenomes.org/pub/bacteria/release-39/fasta/bacteria_13_collection/mycoplasma_genitalium_g37/dna/Mycoplasma_genitalium_g37.ASM2732v1.dna.chromosome.Chromosome.fa.gz
+
 License: GPL-3+
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by


=====================================
debian/docs
=====================================
--- a/debian/docs
+++ b/debian/docs
@@ -1,3 +1,6 @@
 README.md
 README.GenomeTester4.md
 README.FastGT.md
+debian/tests/test-data
+debian/tests/run-unit-test
+debian/README.test


=====================================
debian/glistcompare.1 → debian/man/glistcompare.1
=====================================


=====================================
debian/glistmaker.1 → debian/man/glistmaker.1
=====================================


=====================================
debian/glistquery.1 → debian/man/glistquery.1
=====================================


=====================================
debian/gmer_caller.1 → debian/man/gmer_caller.1
=====================================


=====================================
debian/gmer_counter.1 → debian/man/gmer_counter.1
=====================================


=====================================
debian/manpages
=====================================
--- a/debian/manpages
+++ b/debian/manpages
@@ -1 +1 @@
-debian/*.1
+debian/man/*


=====================================
debian/source/include-binaries
=====================================
--- /dev/null
+++ b/debian/source/include-binaries
@@ -0,0 +1,2 @@
+debian/tests/test-data/Ccr.fa.gz
+debian/tests/test-data/Mg.fa.gz


=====================================
debian/tests/control
=====================================
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: run-unit-test
+Depends: @


=====================================
debian/tests/run-unit-test
=====================================
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+
+pkg="genometester"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+    AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+    trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+cd $AUTOPKGTEST_TMP
+cp -a /usr/share/doc/${pkg}/test-data/* .
+gunzip *.gz
+
+echo '---glistmaker test---'
+/usr/bin/glistmaker Ccr.fa -o Ccr
+/usr/bin/glistmaker Mg.fa -o Mg
+
+echo '---glistquery test---'
+/usr/bin/glistquery Ccr_16.list > Ccr_16.query
+/usr/bin/glistquery Mg_16.list > Mg_16.query
+[ -s Ccr_16.query ]
+[ -s Mg_16.query ]
+
+echo '---glistcompare test---'
+/usr/bin/glistcompare Ccr_16.list Mg_16.list --union -o Ccr_Mg
+/usr/bin/glistcompare Ccr_16.list Mg_16.list --intersection -o Ccr_Mg
+/usr/bin/glistcompare Ccr_16.list Mg_16.list --difference -o Ccr_Mg
+[ -s Ccr_Mg_16_0_diff1.list ]
+[ -s Ccr_Mg_16_intrsec.list ]
+[ -s Ccr_Mg_16_union.list ]


=====================================
debian/tests/test-data/Ccr.fa.gz
=====================================
Binary files /dev/null and b/debian/tests/test-data/Ccr.fa.gz differ


=====================================
debian/tests/test-data/Mg.fa.gz
=====================================
Binary files /dev/null and b/debian/tests/test-data/Mg.fa.gz differ



View it on GitLab: https://salsa.debian.org/med-team/genometester/commit/a304a40cdc895c51788629ec3e9d67ecd9a75a9e

-- 
View it on GitLab: https://salsa.debian.org/med-team/genometester/commit/a304a40cdc895c51788629ec3e9d67ecd9a75a9e
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20180605/28e092b5/attachment-0001.html>


More information about the debian-med-commit mailing list